#pragma once

#include "CoreMinimal.h"
#include "AIEnemyTracker.h"
#include "AITunableParameter.h"
#include "UObject/NoExportTypes.h"
#include "AIEnemyTracker_Killer.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class DBDBOTS_API UAIEnemyTracker_Killer : public UAIEnemyTracker
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float MinimumLoudNoiseBubbleRange;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAITunableParameter GeneratorRepairNoiseAudibleRange;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAITunableParameter RunningFootstepsAudibleRange;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAITunableParameter RunningFootstepDistanceRangeMultiplier;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAITunableParameter InjuredGruntsAudibleRange;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAITunableParameter InjuredGruntsDistanceRangeMultiplier;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAITunableParameter NormalBreathAudibleRange;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAITunableParameter NormalBreathDistanceRangeMultiplier;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAITunableParameter PredictedLocationResetRange;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FVector PredictedNavMeshLocationExtent;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float PredictionBorderAdjustDistance;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float PredictionStuckRadius;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAITunableParameter MinimumFootstepVisibility;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAITunableParameter MaximumFootstepRange;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float FootstepSightTestOffset;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAITunableParameter FootstepDistanceRangeMargin;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float FootstepSightCheckMargin;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAITunableParameter SoundDirectionVarianceSpeed;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAITunableParameter SoundDirectionMaxAngle;

public:
	UAIEnemyTracker_Killer();
};

FORCEINLINE uint32 GetTypeHash(const UAIEnemyTracker_Killer) { return 0; }
